      interface to function setvideomode(mode)
      integer*2 setvideomode[far,c,alias:"__setvideomode"]
      integer*2 mode
      end
c      INTERFACE TO SUBROUTINE RKEY [C]
c      END
c      interface to subroutine setmod(a)
c      integer*2 a
c      end
c      SUBROUTINE PXZ42C(ISUM)
      SUBROUTINE PXZ42C
C     SET TERMINAL TO WAIT FOR A KEYBOARD ENTRY
C     AND RETURN TO TEXT MODE
c
      include 'fgraph.fd'
c      integer*4 ISUM
      integer*2 bl
c      CALL RKEY
      call beep
      read(5,*)
c      bl=ISUM
c      call setmod(bl)
      bl=setvideomode($DEFAULTMODE)
      RETURN
      END

